Bug 1397726 (CVE-2016-9532) - CVE-2016-9532 libtiff: Multiple uint32 overflows leading to heap buffer over-read
Summary: CVE-2016-9532 libtiff: Multiple uint32 overflows leading to heap buffer over-...
Status: CLOSED WONTFIX
Alias: CVE-2016-9532
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161111,reported=2...
Keywords: Security
Depends On: 1397783 1397781 1397782
Blocks: 1397777
TreeView+ depends on / blocked
 
Reported: 2016-11-23 09:30 UTC by Adam Mariš
Modified: 2019-06-08 21:36 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-17 08:23:33 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-11-23 09:30:02 UTC
Multiple integer overflows were found in writeBufferToSeparateStrips(), writeBufferToContigTiles() and writeBufferToSeparateTiles() that could lead to out-of-bounds heap read.

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2592

CVE assignment:

http://seclists.org/oss-sec/2016/q4/487

Comment 1 Adam Mariš 2016-11-23 10:57:13 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1397781]

Comment 2 Adam Mariš 2016-11-23 10:57:20 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1397782]
Affects: epel-7 [bug 1397783]

Comment 3 Huzaifa S. Sidhpurwala 2017-01-17 08:23:33 UTC
Upstream patch:

https://github.com/vadz/libtiff/commit/21d39de1002a5e69caa0574b2cc05d795d6fbfad


Note You need to log in before you can comment on or make changes to this bug.